Subject: Re: linux-next: workqueues tree build failure

From: Peter Ujfalusi <[email-masked]>
Date: Thu, 26 Nov 2009 15:23:40 +0200

On Thursday 26 November 2009 14:49:56 ext Andy Walls wrote:
> 
> Peter,
> 
> I would suspect using a single-threaded workqueue is better than a
> wake_up() of another thread.  IIRC, after queuing work, the workqueue's
> single thread may run almost immediately on the same processor.  With
> waking up sleeping threads, I've run into scheduler delays around 10 ms
> on a dual core x86_64 desktop system.

Hello Andy,

I have sent the patch which changes from rt to singlethread, I hope it fixes the 
breakage in linux-next.
In short testing, when there is virtually no load on the system I can not see 
any difference, which might change later.
But I'll keep in mind that probably I'm not going to better off with the waking 
up of a sleeping thread.

> Regards,
> Andy

Thanks,
Péter